#include "philo.h"

void print_rules(t_rules *rules)
{
	int i;

	printf("n_philos: %d\n", rules->n_philos);
	printf("time_to_die: %d\n", rules->time_to_die);
	printf("time_to_eat: %d\n", rules->time_to_eat);
	printf("time_to_sleep: %d\n", rules->time_to_sleep);
	printf("n_must_eat: %d\n", rules->n_must_eat);
	i = 0;
	while (i < rules->n_philos)
	{
		printf("philo %d has id: %d\n", i, rules->philos[i].id);
		i++;
	}
	i = 0;
	while (i < rules->n_philos)
	{
		printf("fork %d has pointer:%p\n", i, &rules->forks[i]);
		i++;
	}
	i = 0;
	while (i < rules->n_philos)
	{
		printf("philo %d\n has l_fork %p and r_fork: %p\n", rules->philos[i].id, rules->philos[i].l_fork, rules->philos[i].r_fork);
		i++;
	}

}